using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Resource
{
    [SugarTable("Res_CountryFeeCost")]
    public class Res_CountryFeeCost:EntityBase
    {
        /// <summary>
        /// 洲名
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string VisaContinent { get; set; }

        /// <summary>
        /// 国家名
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string VisaCountry { get; set; }

        /// <summary>
        /// 是否免签免签 0:是 1:否
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsVisaExemption { get; set; }
        /// <summary>
        /// 是否落地签 0:是 1:否
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsVisaOnArrival { get; set; }
        /// <summary>
        /// 是否电子签 0:是 1:否
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsElectronicSignature { get; set; }

        /// <summary>
        /// 签证费用
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal VisaPrice { get; set; }

        /// <summary>
        /// 签证费用描述
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "nvarchar(255)")]
        public string VisaPriceDesc { get; set; }

        /// <summary>
        /// 签证类型 大公务/小公务/大小公务同时免签
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string VisaType { get; set; }

        /// <summary>
        /// 一般签证时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string VisaTime { get; set; }

        /// <summary>
        /// 签证是否加急 0:加急  1: 不加急
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsUrgent { get; set; }

        /// <summary>
        /// 加急时间 
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string UrgentTime { get; set; }

        /// <summary>
        /// 加急费用
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal UrgentPrice { get; set; }

        /// <summary>
        /// 加急费用描述 
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "nvarchar(255)")]
        public string UrgentPriceDesc { get; set; }

        /// <summary>
        /// 签证地址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string VisaAddress { get; set; }

    }
}
